using System;

namespace LLNet.Utils
{
	/// <summary>
	/// Summary description for IParamBase
	/// </summary>
	public abstract class ParamBase
	{
		protected string tag;
		public string Tag
		{
			get	{ return tag; }
			set	{ tag = value; }
		}

		public abstract string Replace (string pSql);
		public abstract System.Xml.XmlNode ToXML(System.Xml.XmlDocument docto);
		public abstract void FromXML(System.Xml.XmlNode node);
	}
}
